package com.bipt.intelligentapplicationorchestrationservice.gpu.dao;

import com.bipt.intelligentapplicationorchestrationservice.gpu.model.entity.GpuResource;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface GpuResourceDao {
    @Insert("INSERT INTO gpu_resource (GPUModel, GPUMemorySize, Ip)"+
            "VALUES (#{model}, #{memory}, #{ip})")
    @Options(useGeneratedKeys = true, keyProperty = "GPUId")
    Integer insert(GpuResource entity);

    @Select("SELECT * FROM Ipz.public.gpu_resource WHERE GPUId = #{gpuId}")
    GpuResource selectById(Long gpuId);

}
